StarFormatManagerInternal::NumberFormatter Struct Reference documentation

Classes | Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
StarFormatManagerInternal::NumberFormatter Struct Reference

a struct use to store number formatter of a StarFormatManager More...

## Classes
struct | Format
| struct use to store different local format More...
struct | FormatItem
| struct use to store small format item More...

## Public Member Functions
| NumberFormatter ()
| constructor More...
bool | updateNumberingProperties (STOFFCell &cell) const
| try to update the cell's formating More...

## Static Public Member Functions
static std::string | getTypeString (int typeId)
| returns a string corresponding to a format type More...

## Public Attributes
librevenge::RVNGString | m_format
| the format More...
int | m_language
| the format language More...
uint16_t | m_type
| the format type More...
bool | m_isStandart
| a flag to know if the format is standart More...
bool | m_isUsed
| a flag to know if this format is used More...
double | m_limits [2]
| the limits More...
int | m_limitsOp [2]
| the limits operator More...
Format | m_subFormats [4]
| the list of sub format More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, NumberFormatter const &form)
| operator<< More...

## Detailed Description

a struct use to store number formatter of a StarFormatManager

## Constructor & Destructor Documentation

## ◆ NumberFormatter()

StarFormatManagerInternal::NumberFormatter::NumberFormatter | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getTypeString()

static std::string StarFormatManagerInternal::NumberFormatter::getTypeString | ( | int | typeId | ) |
| inlinestatic

returns a string corresponding to a format type

## ◆ updateNumberingProperties()

bool StarFormatManagerInternal::NumberFormatter::updateNumberingProperties | ( | STOFFCell & | cell | ) | const
| inline

try to update the cell's formating

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | NumberFormatter const & | form
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string StarFormatManagerInternal::NumberFormatter::m_extra

extra data

Referenced by StarFormatManager::readNumberFormatter().

## ◆ m_format

librevenge::RVNGString StarFormatManagerInternal::NumberFormatter::m_format

the format

Referenced by StarFormatManager::readNumberFormatter().

## ◆ m_isStandart

bool StarFormatManagerInternal::NumberFormatter::m_isStandart

a flag to know if the format is standart

Referenced by StarFormatManager::readNumberFormatter().

## ◆ m_isUsed

bool StarFormatManagerInternal::NumberFormatter::m_isUsed

a flag to know if this format is used

Referenced by StarFormatManager::readNumberFormatter().

## ◆ m_language

int StarFormatManagerInternal::NumberFormatter::m_language

the format language

Referenced by StarFormatManager::readNumberFormatter(), and updateNumberingProperties().

## ◆ m_limits

double StarFormatManagerInternal::NumberFormatter::m_limits[2]

the limits

Referenced by NumberFormatter(), and StarFormatManager::readNumberFormatter().

## ◆ m_limitsOp

int StarFormatManagerInternal::NumberFormatter::m_limitsOp[2]

the limits operator

Referenced by NumberFormatter(), and StarFormatManager::readNumberFormatter().

## ◆ m_subFormats

Format StarFormatManagerInternal::NumberFormatter::m_subFormats[4]

the list of sub format

Referenced by StarFormatManager::readNumberFormatter(), and updateNumberingProperties().

## ◆ m_type

uint16_t StarFormatManagerInternal::NumberFormatter::m_type

the format type

Referenced by StarFormatManager::readNumberFormatter(), and StarFormatManagerInternal::NumberFormatter::Format::updateNumberingProperties().

The documentation for this struct was generated from the following file:

- StarFormatManager.cxx